[Libreoffice-commits] core.git: bin/run

Michael Stahl mstahl at redhat.com
Thu Dec 4 07:14:28 PST 2014


 bin/run |   24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

New commits:
commit 79233d98d98df1a56e623f35806183071499b194
Author: Michael Stahl <mstahl at redhat.com>
Date:   Thu Dec 4 16:08:42 2014 +0100

    bin/run: add WNT support
    
    Change-Id: I9dd1ae23d27c5733770314ca907b5d36b749fd74

diff --git a/bin/run b/bin/run
index a3acad6..341e7d5 100755
--- a/bin/run
+++ b/bin/run
@@ -9,7 +9,29 @@
 
 # simple wrapper script to run non-installed executables from workdir
 
-if [ $(uname) = Darwin ]; then
+if uname | grep -i CYGWIN >/dev/null; then
+
+dir=$(realpath "$(pwd)")
+
+while test ! -d "${dir}/instdir/program" ; do
+    if test "${dir}" = "/"; then
+        echo "error: cannot find \"program\" dir from \"$(pwd)\""
+        exit 1
+    fi
+    dir=$(realpath "${dir}/..")
+done
+
+exedir="${dir}"/workdir/LinkTarget/Executable
+export URE_BOOTSTRAP=file:///$(cygpath -m "${dir}")/instdir/program/fundamental.ini
+export PATH=${PATH:+$PATH:}"${dir}"/instdir/program
+
+echo "setting URE_BOOTSTRAP to: ${URE_BOOTSTRAP}"
+echo "setting search path to: ${PATH}"
+echo "execing: ${exedir}/$1"
+
+exec "${exedir}"/$@
+
+elif [ $(uname) = Darwin ]; then
 
 dir=$(pwd)
 


More information about the Libreoffice-commits mailing list